library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

entity Devider is
port
(
	Clk:		in std_logic;
	Reset:		in std_logic;

	Clk_out:	buffer std_logic
);
end Devider;

architecture behave of Devider is
begin
	process (Reset, Clk)
	variable uDevideCount: integer range 0 to 100000 := 0;
	begin

		if Reset ='0' then
			uDevideCount := 0;
			Clk_out <= '0';
		elsif rising_edge(Clk) then

			if uDevideCount = 100000 then
				uDevideCount := 0;
				Clk_out <= not Clk_out;
			else
				uDevideCount := uDevideCount + 1;
			end if;
		end if;
	end process;

end behave;

